"""
@author: IOB

Generates array of random descriptors and prints to CSV. Toggle "num_descriptors" value to change length of feature array
"""

import numpy as np
import pandas as pd

df = pd.read_csv('./data/CannaLit.csv').dropna()

unique_extractions = np.unique(df.loc[:,'input_cann_total'])

extraction_descriptors = {}
num_descriptors = 24
for extraction in unique_extractions:
    extraction_descriptors[extraction] = np.random.normal(size=num_descriptors)

descriptor_df = df.loc[:,'input_cann_total']

full_descriptors = []
for extraction in df.loc[:,'input_cann_total']:
    full_descriptors.append(extraction_descriptors[extraction])

extraction_type = df.iloc[:,2:9]
straw_model_df = extraction_type.join(pd.DataFrame(full_descriptors))

pd.DataFrame(pd.DataFrame(full_descriptors)).to_csv('./data/straw_models_24.csv', index=False)
pd.DataFrame(pd.DataFrame(straw_model_df)).to_csv('./data/straw_models.csv', index=False)

