# Predicting Extraction Conditions for the Large-Scale Recovery of Botanicals

Contained is the code and data used for the paper "Predicting Extraction Conditions for the Large-Scale Recovery of Botanicals"

## Data 

The data folder contains databases compiled for the studies herein. CannaLit.csv contains the full CannaLit database, straw_models.csv replaces only the extraction conditions with random numbers, and straw_models_24.csv has all 24 features replaced with random numbers. The straw_model databases can also be regenerated with new random numbers using the GenerateBarcode.py script.

## Scripts and Notebooks

Python scripts and Jupyter notebooks to reproduce results from the manuscript are included. Scripts to create ML models are labelled as ALGORITHM.py (e.g., KNN.py is a script for creating k-nearest neighbours). These scripts are configured to run with the optimal hyperparameters found as explained in the supporting information. For non-linear models, hyperparameters can also be re-tuned if desired by toggling the hyperparameter_tuning variable at the top of each script to 'on'. All jupyter notebooks are configured to recapitulate specific prediction tasks from the manuscript.